import React from 'react';
import { useApp, useAuth, useLogin } from 'react-admin-base';
import { FormattedMessage } from 'react-intl';
export default function ExternalLoginButton({ id, icon, name, url }) {
    const { endpoint } = useApp();
    const [{ client_id }] = useAuth();
    const { login } = useLogin();
    return React.createElement("a", { className: "btn btn-primary d-block w-100 btn-social-" + id, href: endpoint + url + '?client_id=' + client_id + '&callback_url=' + encodeURIComponent(window.location.origin + login) },
        React.createElement("i", { className: "fab fa-" + (icon || id) + " me-2" }),
        " ",
        React.createElement(FormattedMessage, { id: "SIGN_IN_USING", values: { provider: React.createElement("b", null, name) } }));
}
