import React from 'react';
import { LexicalComposer } from "@lexical/react/LexicalComposer";
import { RichTextPlugin } from "@lexical/react/LexicalRichTextPlugin";
import { ContentEditable } from "@lexical/react/LexicalContentEditable";
import { HistoryPlugin } from "@lexical/react/LexicalHistoryPlugin";
import { AutoFocusPlugin } from "@lexical/react/LexicalAutoFocusPlugin";
import { HeadingNode, QuoteNode } from "@lexical/rich-text";
import { TableCellNode, TableNode, TableRowNode } from "@lexical/table";
import { ListItemNode, ListNode } from "@lexical/list";
import { CodeHighlightNode, CodeNode } from "@lexical/code";
import { AutoLinkNode, LinkNode } from "@lexical/link";
import { LinkPlugin } from "@lexical/react/LexicalLinkPlugin";
import { ListPlugin } from "@lexical/react/LexicalListPlugin";
import { MarkdownShortcutPlugin } from "@lexical/react/LexicalMarkdownShortcutPlugin";
import { TRANSFORMERS } from "@lexical/markdown";
import ToolbarPlugin from '../Lexical/ToolbarPlugin';
function Placeholder() {
    return React.createElement("div", { className: "editor-placeholder" }, "Enter some rich text...");
}
const editorConfig = {
    namespace: '',
    // Handling of errors during update
    onError(error) {
        throw error;
    },
    // Any custom nodes go here
    nodes: [
        HeadingNode,
        ListNode,
        ListItemNode,
        QuoteNode,
        CodeNode,
        CodeHighlightNode,
        TableNode,
        TableCellNode,
        TableRowNode,
        AutoLinkNode,
        LinkNode
    ]
};
export default function RichTextEditor({ value, onChange }) {
    return React.createElement(LexicalComposer, { initialConfig: editorConfig },
        React.createElement("div", { className: "editor-container" },
            React.createElement(ToolbarPlugin, null),
            React.createElement("div", { className: "editor-inner" },
                React.createElement(RichTextPlugin, { contentEditable: React.createElement(ContentEditable, { className: "editor-input" }), placeholder: React.createElement(Placeholder, null) }),
                React.createElement(HistoryPlugin, null),
                React.createElement(AutoFocusPlugin, null),
                React.createElement(ListPlugin, null),
                React.createElement(LinkPlugin, null),
                React.createElement(MarkdownShortcutPlugin, { transformers: TRANSFORMERS }))));
}
